Subject: [SWIPL] Concurrent programming

From: Mehmet Hocaoglu <[email-masked]>
Date: 2 Mar 2001 00:54:17 MST

Hi,

Does anybody know how to write a concurrent program in SWI-Prolog. I need a
program that executes some tasks while listing a socket port to get some
information from another program (for example, written in JAVA). As far as I
know, this problem can be solved executing two separate program part in
concurrent way. I mean, different prolog predicates in the same prolog program
will be active at the same time, while one of them listing the socket port the
other one executes some operations at the same time.

Thanks for help,

Best regards 

Fatih

____________________________________________________________________
Get free email and a permanent address at http://www.netaddress.com/?N=1